Mailinglist Archive: opensuse-factory (439 mails)

< Previous Next >
Re: [opensuse-factory] KDE4/Qt4 removal from openSUSE Factory
  • From: Christophe Giboudeaux <christophe@xxxxxxx>
  • Date: Sat, 06 Apr 2019 22:01:06 +0200
  • Message-id: <33081690.6JEIHZ1mx4@yuuko>
On samedi 6 avril 2019 19:39:36 CEST Maximilian Trummer wrote:
Am Montag, 1. April 2019, 18:26:18 CEST schrieb Maximilian Trummer:
Am Montag, 1. April 2019, 12:08:27 CEST schrieb Christophe Giboudeaux:
On lundi 1 avril 2019 03:00:23 CEST Simon Lees wrote:
Can you please put together a list of all the packages that you plan
to
drop? There are potentially Qt4 packages that I don't maintain but am
interested enough in to help with porting.

'osc whatdependson openSUSE:Factory libqt4 standard x86_64' gives a
minimal
list of packages still using libqt4, directly or not.

the ones that need porting / cleanup / being dropped:
- mumble

Mumble 1.3 is based on Qt5.
https://github.com/mumble-voip/mumble/issues/2728

A first release candidate was tagged two weeks ago, so it will be released
soon.
https://github.com/mumble-voip/mumble/releases/tag/1.3.0-rc1

regards

Does anyone know why the mumble package depends on 'lsb-release', is that
related to Qt4 as well?

No, it's a runtime dependency. Mumble runs 'lsb-release -s -d'
see https://github.com/mumble-voip/mumble/blob/master/src/OSInfo.cpp#L232





--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >